View Issue Details

IDProjectCategoryView StatusLast Update
0004703GNUnetbuild processpublic2018-06-07 00:24
ReporterjahAssigned ToChristian Grothoff 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86_64OSTrisquelOS Version7.0, Belenos
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0004703: Remove from testbed/Makefile.am mention of deleted testbed/testbed_api_barriers.h
Descriptionmake tags fails "with no rule to make testbed_api_barriers.h"; the header was deleted in r37396.
Additional InformationThe fix is in the attached testbed_Makefile.am.patch:-

--- src/testbed/Makefile.am (revision 38062)
+++ src/testbed/Makefile.am (working copy)
@@ -104,7 +104,7 @@
   testbed_api_test.c \
   testbed_api_topology.c testbed_api_topology.h \
   testbed_api_sd.c testbed_api_sd.h \
- testbed_api_barriers.c testbed_api_barriers.h
+ testbed_api_barriers.c
 libgnunettestbed_la_LIBADD = $(XLIB) \
  $(top_builddir)/src/core/libgnunetcore.la \
  $(top_builddir)/src/statistics/libgnunetstatistics.la \
TagsNo tags attached.

Activities

jah

2016-10-03 17:18

reporter  

testbed_Makefile.am.patch (540 bytes)
Index: src/testbed/Makefile.am
===================================================================
--- src/testbed/Makefile.am	(revision 38062)
+++ src/testbed/Makefile.am	(working copy)
@@ -104,7 +104,7 @@
   testbed_api_test.c \
   testbed_api_topology.c testbed_api_topology.h \
   testbed_api_sd.c testbed_api_sd.h \
-  testbed_api_barriers.c testbed_api_barriers.h
+  testbed_api_barriers.c
 libgnunettestbed_la_LIBADD = $(XLIB) \
  $(top_builddir)/src/core/libgnunetcore.la \
  $(top_builddir)/src/statistics/libgnunetstatistics.la \

Christian Grothoff

2016-10-07 00:39

manager   ~0011268

Fixed in SVN 38078.

Issue History

Date Modified Username Field Change
2016-10-03 17:18 jah New Issue
2016-10-03 17:18 jah File Added: testbed_Makefile.am.patch
2016-10-07 00:39 Christian Grothoff Note Added: 0011268
2016-10-07 00:39 Christian Grothoff Status new => resolved
2016-10-07 00:39 Christian Grothoff Fixed in Version => 0.11.0pre66
2016-10-07 00:39 Christian Grothoff Resolution open => fixed
2016-10-07 00:39 Christian Grothoff Assigned To => Christian Grothoff
2016-10-07 00:39 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:24 Christian Grothoff Status resolved => closed